# RaumplanerApp.py

from grafikfenster import *
from raumplanerModell import RaumplanerModell
from gui import Gui

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    def OnInit(self):
        self.gui=Gui(None,-1,"Raumplaner", (630,50))
        self.SetTopWindow(self.gui)
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik")
        self.fenster.Show(True)
        self.gui.Show(True)
        ##self.fenster.panel.Refresh()
        ##self.fenster.ZeigeShellFrame()
        ##self.fenster.ZeigeFillingFrame()
        self.modell=RaumplanerModell.GibModell()
        ##self.TestAnwendung()
        return True

##    def TestAnwendung(self):
##        global modell, schrank, sessel, stuhl, tisch
##        modell=self.modell
##        modell.Neu("Schrank",280, 40, 100, 60, 90, 'brown', True)
##        modell.Neu("Stuhl",10, 30, 40, 40, 270, 'blue', True)
##        modell.Neu("Tisch",60, 20, 120, 60, 0, 'red', True)
##        modell.Neu("Sessel", 100, 130, 60, 60, 0, 'orange', True)
##        modell.Neu("Sofa", 70, 290, 120, 60, 180, 'orange', True)
##        modell.Neu("OvalerTisch", 70, 200, 120, 80, 0, 'brown', True)
##
##    def TestVeraenderndeMethoden(self):
##        modell=self.modell
##        modell.Waehle(2)
##        modell.BearbeiteAusgewaehltes(dx=10,dy=20,dw=30,f='green',b=120,t=50)
##        modell.Waehle(-1)

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
